%% script6
% test Bouguet calibration routines

%%

clear
close all
load Calib_Results
ima_numbers = 1:4;
load_images;
dont_ask = 1; % suppress queries

%% calibration results

show_calib_results;

%% reproject_calib

reproject_calib;

%%

close all
% X,om,T,f,c,k,alpha
kk = 2;
cs = num2str(kk);
eval(['X = X_' cs ';']);
eval(['om = omc_' cs ';']);
eval(['T = Tc_' cs ';']);
eval(['y_kk = y_' cs ';']);
project_points_small;
% max(abs(xp-y_kk)')

%%

filename = [calib_name num2str(kk) '.jpg'];
rgb = imread(filename);
imshow(rgb);
hold on
delta = 20;
xd = x_2;
plot(xp(1,:),xp(2,:),'yo','LineWidth',2);
plot(xd(1,:),xd(2,:),'m+','LineWidth',2);
plot(cc(1),cc(2),'bx','MarkerSize',11,'LineWidth',2);
text(cc(1)+delta,cc(2)+delta,'CC');
hold off


